.flex-repeater:has(.contentblok_visual-layout) {
    overflow: hidden;
}

.flex-layout.contentblok_visual-layout {
    position: relative;
    padding: 0;
    margin-bottom: 100px;
}

.contentblok_visual-layout .pk-row,
.contentblok_visual-layout .pk-grid-container {
    max-width: 100%;
}

.contentblok_visual-layout .pk-visual-wrap {
    position: relative;
    overflow: hidden;
}

.contentblok_visual-layout .pk-visual-wrap {
    position: relative;
    overflow: visible;
}

.contentblok_visual-layout .pk-laptop-image {
    position: relative;
    right: -5%;
    z-index: 1;
    transform: translateX(clamp(20px, 4vw, 80px));
}

.contentblok_visual-layout .pk-laptop-image img {
    display: block;
    height: auto;
}

.contentblok_visual-layout .pk-image-wrap {
    position: absolute;
    z-index: 2;
    top: 4.1%;
    left: 9.6%;
    width: 85%;
    height: 85.5%;
    overflow: hidden;
}

.contentblok_visual-layout .pk-image-wrap img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.contentblok_visual-layout .image {
    position: relative;
    order: 2;
    border-radius: 0;
    z-index: 1;
}

.contentblok_visual-layout .image img {
    display: block;
    object-fit: cover;
}

.contentblok_visual-layout .content {
    position: relative;
    padding-block: clamp(
            45px,
            45px + (70 - 45) * ((100vw - 350px) / (1130 - 350)),
            70px
        )
        0;
    padding-inline: 20px;
}

.contentblok_visual-layout .pk-heading {
    font-size: var(--heading-lg);
    line-height: 1.3;
}

.contentblok_visual-layout .pk-punten {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding-left: 0px;
}
.contentblok_visual-layout ol {
    margin-bottom: 0;
}

.contentblok_visual-layout .pk-punten .pk-punt-item {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.contentblok_visual-layout .pk-punten .pk-punt-item svg {
    flex-shrink: 0;
}

.contentblok_visual-layout .content .pk-button-group {
    margin-top: 40px;
}

/* deco/shapes */
.contentblok_visual-layout .pk-deco {
    width: 100px;
    height: 48px;
    background: var(--pk-blue-2);
}
@media screen and (max-width: 767px) {
    .flex-layout.contentblok_visual-layout {
        padding-block: 50px 0;
        margin-bottom: 80px;
    }

    .contentblok_visual-layout .pk-heading {
        max-width: 100%;
    }

    .contentblok_visual-layout .image {
        max-width: 100%;
    }

    .contentblok_visual-layout .pk-deco {
        position: relative;
        top: 80px;
        right: 0;
        width: 100px;
        height: 48px;
        margin-left: auto;
        background: var(--pk-blue-2);
    }

    .contentblok_visual-layout .content {
        position: relative;
        padding-bottom: 40px;
    }
}

@media screen and (min-width: 767px) {
    .contentblok_visual-layout .pk-grid-container {
        gap: 20px;
    }
}

@media screen and (min-width: 1199px) {
    .flex-layout.contentblok_visual-layout {
        margin-bottom: 100px;
    }
    .contentblok_visual-layout .content {
        padding-block: 90px 0;
        padding-left: calc((100vw - 1130px) / 2);
    }
}
